Subject: Refactor method names in configuration manager

Description

The methods getSpecialConfiguration() and loadSpecialConfiguration() seem to be misnamed. What is special about them? | guess
they should be named simply without the special, so that we have "settings" and "configuration” in the manager.

Associated revisions

Revision 2cda63f5 - 2009-08-31 15:56 - Robert Lemke

[+FEATURE] FLOWS3 (AOP): Parse errors in AOP proxy code (introduced by a potential bug) will now be treated properly by throwing a meaningful
exception.

[-FEATURE] FLOWS3 (Configuration): Removed support for PHP-based configuration files. This caused a lot of overhead and in practice we want
everyone to use YAML files anyway.

[+FEATURE] FLOWS (Configuration): Implemented support for cached ("compiled") configuration. When the new FLOW3.yaml option "configuration:
comileConfigurationFiles" is turned on, all configuration will be compiled into a PHP file which from then on is read instead of parsing the YAML files
everytime. Please see the updated documentation for more information. Resolves #4460

[~TASK] FLOWS3 (Configuration): Completely refactored the Configuration Manager and a few related classes. Its methods now each fullfil a clear
purpose and work more effective. The method names now also better describe what each method is doing. Resolves #2711

[-TASK] FLOWS (Configuration): Removed the WritableSourcelnterface - this is now a standard feature of a configuration source.

[+TASK] FLOWS (Core): Refactored and cleaned up the FLOW3 Bootstrap. Constants are now defined by a static method and all configuration related
functionality has been moved to the Configuration sub package. Also replaced the evil die() calls by more handsome exit() calls. Relates to #2117
[+TASK] FLOW3 (Object): Moved some object initialization code from the Bootstrap to the Object Manager and further cleaned up the Object
Manager's code. Wrote additional tests - now this class has 100% test coverage. Relates to #2117

[+API] FLOW3 (MVC): Added a few @api annotations to properties of the AbstractController and ActionController.

[-API] FLOWS (Utility): Removed the getSAPIType() method from the Environment class. Just use the constant FLOW3_SAPITYPE instead. Resolves
#3567 and relates to #2117.

Revision 89¢28b46 - 2009-08-31 15:56 - Robert Lemke

[+FEATURE] FLOWS3 (AOP): Parse errors in AOP proxy code (introduced by a potential bug) will now be treated properly by throwing a meaningful
exception.

[-FEATURE] FLOWS3 (Configuration): Removed support for PHP-based configuration files. This caused a lot of overhead and in practice we want
everyone to use YAML files anyway.

[+FEATURE] FLOWS3 (Configuration): Implemented support for cached ("compiled") configuration. When the new FLOW3.yaml option "configuration:
comileConfigurationFiles" is turned on, all configuration will be compiled into a PHP file which from then on is read instead of parsing the YAML files
everytime. Please see the updated documentation for more information. Resolves #4460

[~TASK] FLOW3 (Configuration): Completely refactored the Configuration Manager and a few related classes. Its methods now each fullfil a clear
purpose and work more effective. The method names now also better describe what each method is doing. Resolves #2711

[-TASK] FLOWS (Configuration): Removed the WritableSourcelnterface - this is now a standard feature of a configuration source.

[+TASK] FLOWS3 (Core): Refactored and cleaned up the FLOWS3 Bootstrap. Constants are now defined by a static method and all configuration related
functionality has been moved to the Configuration sub package. Also replaced the evil die() calls by more handsome exit() calls. Relates to #2117
[+TASK] FLOWS3 (Object): Moved some object initialization code from the Bootstrap to the Object Manager and further cleaned up the Object
Manager's code. Wrote additional tests - now this class has 100% test coverage. Relates to #2117

[+API] FLOW3 (MVC): Added a few @api annotations to properties of the AbstractController and ActionController.

[-API] FLOWS3 (Utility): Removed the getSAPIType() method from the Environment class. Just use the constant FLOW3_SAPITYPE instead. Resolves
#3567 and relates to #2117.

History

#1 - 2009-05-19 12:34 - Robert Lemke
- Target version set to 283

#2 - 2009-07-13 11:25 - Robert Lemke
- Target version deleted (283)

#3 - 2009-08-31 16:00 - Robert Lemke
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset r3107.
